using BarContracts.Attrubites;
using BarDataModels.Models;

namespace BarContracts.ViewModels
{
	public class ComponentViewModel : IComponentModel
    {
		[Column(Visible: false)]
		public int Id { get; set; }

		[Column(Title: "Название компонента", GridViewAutoSize: GridViewAutoSize.Fill, IsUseAutoSize: true)]
		public string ComponentName { get; set; } = string.Empty;

		[Column(Title: "Цена", Width: 150)]
		public double Cost { get; set; }
    }
}
